Texture2D<float4> AlphaTexture : register(t26);
Texture2D<float4> OldOutput : register(t27);
Texture2D<float4> ColorTexture : register(t1);
SamplerState g_Sampler : register(s1);

#define cmp -
Texture1D<float4> IniParams : register(t120);
Texture2D<float4> StereoParams : register(t125);

void main(
    float4 v0: SV_POSITION0,
    float4 v1: COLOR0,
    float4 v2: TEXCOORD0,
    float4 v3: TEXCOORD1,
    float4 v4: TEXCOORD2,
    float4 v5: TEXCOORD3,
    out float4 o0: SV_TARGET0,
    out float4 o1: SV_TARGET1)
{
    o1 = ColorTexture.Sample(g_Sampler, v2.xy);
    o0 = AlphaTexture.Sample(g_Sampler, v2.xy);

    // Convert screen coordinates to normalized texture coordinates
    float2 screenUV = v0.xy / float2(1366*1.5, 768*1.5);

    // Sample OldOutput using screenUV
    float4 oldOutputColor = OldOutput.Sample(g_Sampler, screenUV);

    // Blend OldOutput with modified o1 using its alpha channel
    o1 = lerp(oldOutputColor,o1, o0.a);

    return;
}
